Name:           maven-timestamp-plugin
Version:        1.1
Release:        %mkrel 1
Summary:        Provides formatted timestamps for maven builds

Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/maven-timestamp-plugin
# svn export http://maven-timestamp-plugin.googlecode.com/svn/tags/maven-timestamp-plugin-1.1 maven-timestamp-plugin
# tar caf maven-timestamp-plugin-1.1.tar.xz maven-timestamp-plugin 
Source0:        maven-timestamp-plugin-1.1.tar.xz
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-timestamp-plugin

Requires:       java 
Requires:       jpackage-utils

%description
There are a few ways to get a timestamp in your maven build. Unfortunately 
most of them make you jump through giant hoops. This maven plugin makes it 
as simple as 1-2-3 to create a timestamp at your disposal.
Also, it enables you to use the syntax of SimpleDateFormat to form custom 
formatted dates. 


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
cat > README << EOT
%{name}-%{version}

%{description}
EOT


%build
mvn-rpmbuild install javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}

# jar
install -Dp -m 644 target/%{name}-%{version}-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/  $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
  $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc README
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat Jul 23 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 128116
- Update to new upstream release (1.1).
    - Fix FTBFS.
    - Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-7.mga1
+ Revision: 92936
- Rebuild after bootstrapping
- imported package maven-timestamp-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 05 2011 Guido Grazioli <guido.grazioli@gmail.com> - 1.0-5
- Build with maven 3
- Updated patch: use maven-release-plugin
- Updated patch: remove maven-source-plugin double declaration

* Mon Dec 13 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0-4
- Adapt to current guidelines.

* Fri Apr 30 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.0-3
- Fix javadoc subpackage Requires

* Sat Apr 24 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.0-2
- Sanitize %%files section

* Sat Apr 10 2010 Guido Grazioli <guido.grazioli@gmail.com> - 1.0-1
- Initial packaging
